Subject: Re: [iproute2] tc: Show classes more hierarchically]

From: Jamal Hadi Salim <[email-masked]>
Date: Wed, 24 Dec 2014 10:07:34 -0500

On 12/24/14 08:59, Vadim Kochan wrote:
> On Thu, Dec 18, 2014 at 3:58 PM, Thomas Graf <[email-masked]> wrote:
>> On 12/18/14 at 03:46pm, Vadim Kochan wrote:
>>> On Thu, Dec 18, 2014 at 02:47:38PM +0100, Daniel Borkmann wrote:
>>>> On 12/18/2014 02:16 PM, Vadim Kochan wrote:
>>>> ...
>>>>> The problem that this is huge now but looks better visually, I am
>>>>> thinking also about to possibiliy to show only some part of tree by specified parent id ...
>>>>
>>>> I definitely like this work!
>>>>
>>>> Just thinking out loud, what about an output option for tc which is plain
>>>> DOT [1], thus it can be handed over for rendering in tools like graphviz?
>>>>
>>>> It won't require any dependencies either as it's just plaintext.
>>>>
>>>>    [1] https://en.wikipedia.org/wiki/DOT_%28graph_description_language%29
>>>
>>> Yeah, good idea :-)
>>
>> tcng had something like that ;-)
>
> I did not use tcng, but I think that it would be good to adopt some
> useful features to the tc.
>

Werner unfortunately wont be able to make netdev01 ;-> but we could have
this discussion there.
For the record I am enjoying seeing these patches as well;->

cheers,
jamal